Upsert org budget override
PUT /api/organizations/{org_id}/budgets/overrides/{user_id}
Parameters
| Name | In | Type | Required | Description |
|---|
org_id | path | `string | null` | yes |
user_id | path | string | yes | — |
X-Org-Id | header | `string | null` | no |
Request body
| Field | Type | Required | Description |
|---|
monthly_limit | `number | null` | no |
is_disabled | boolean | no | — |
Responses
| Status | Description |
|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|
user_id | string | yes | — |
user_email | `string | null` | no |
user_name | `string | null` | no |
current_spend | number | no | — |
monthly_limit | `number | null` | no |
effective_monthly_limit | `number | null` | no |
is_disabled | boolean | no | — |
is_override | boolean | no | — |
Operation ID: upsert_org_budget_override_api_organizations__org_id__budgets_overrides__user_id__put